Bug 146739 - CAN-2005-0155 multiple setuid perl issues (CAN-2005-0156 )
Summary: CAN-2005-0155 multiple setuid perl issues (CAN-2005-0156 )
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,embargo=yes
Keywords: Security
Depends On:
Blocks: 142822
TreeView+ depends on / blocked
 
Reported: 2005-02-01 03:19 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 09:18:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:103 high SHIPPED_LIVE Important: perl security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-02-01 03:19:54 UTC
*** This bug has been split off bug 146737 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.31
22:14 -------

The following isuses were reported regarding running setuid perl executables
(I'm attaching the report as a text file as it is long).


buffer overflow caused by very long paths
and a PERLIO_DEBUG file overwrite bug.

The advisory is attachment 110480 [details]
The proposed patch is attachment 110481 [details]

Comment 1 Josh Bressers 2005-02-01 13:55:09 UTC
CAN-2005-0155 for the privilege escalation in debug mode
CAN-2005-0156 for the buffer overflow

Comment 3 Mark J. Cox 2005-02-03 09:07:20 UTC
removing embargo; ubuntu published an advisory on this

Comment 4 Mark J. Cox 2005-02-15 09:18:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-103.html



Note You need to log in before you can comment on or make changes to this bug.